LibreOffice: XOfficeDatabaseDocument Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
XOfficeDatabaseDocument Interface Reference

simplifies the accessing of data sources, and it's corresponding database document and forms, and reports. More...

`import"XOfficeDatabaseDocument.idl";`

Inheritance diagram for XOfficeDatabaseDocument:

## Exported Interfaces
interface | com::sun::star::sdb::XFormDocumentsSupplier
| allows to access the supplier for forms. More...
interface | com::sun::star::sdb::XReportDocumentsSupplier
| allows to access the supplier for reports. More...
interface | com::sun::star::document::XDocumentSubStorageSupplier
| allows the access to all sub storages in the office database document. More...

## Public Attributes
com::sun::star::sdbc::XDataSource | DataSource
| provides access to the one and only DataSource associated with this document More...

## Additional Inherited Members
Public Member Functions inherited from XFormDocumentsSupplier
com::sun::star::container::XNameAccess | getFormDocuments ()
| returns the container of forms. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XReportDocumentsSupplier
com::sun::star::container::XNameAccess | getReportDocuments ()
| returns the container of reports. More...
Public Member Functions inherited from XDocumentSubStorageSupplier
com::sun::star::embed::XStorage | getDocumentSubStorage ([in] string StorageName, [in] long nMode)
| provides the access to a substorage with specified name More...
sequence< string > | getDocumentSubStoragesNames () raises ( ::com::sun::star::io::IOException )
| provides the list of substorages More...

## Detailed Description

simplifies the accessing of data sources, and it's corresponding database document and forms, and reports.

## Exported Interfaces

## ◆ com::sun::star::document::XDocumentSubStorageSupplier

interface com::sun::star::document::XDocumentSubStorageSupplier

allows the access to all sub storages in the office database document.

## ◆ com::sun::star::sdb::XFormDocumentsSupplier

interface com::sun::star::sdb::XFormDocumentsSupplier

allows to access the supplier for forms.

See also
  com::sun::star::sdb::Forms

## ◆ com::sun::star::sdb::XReportDocumentsSupplier

interface com::sun::star::sdb::XReportDocumentsSupplier

allows to access the supplier for reports.

See also
  com::sun::star::sdb::Reports

## Member Data Documentation

## ◆ DataSource

com::sun::star::sdbc::XDataSource DataSource
| attributereadonly

provides access to the one and only DataSource associated with this document

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XOfficeDatabaseDocument.idl